Assignments Assignments

Public Member Functions | List of all members
Util::QuaternionRotationParameter Class Reference

`#include <geometry.h>`

Inheritance diagram for Util::QuaternionRotationParameter:

## Public Member Functions
| QuaternionRotationParameter (void)
| QuaternionRotationParameter (const Matrix3D &r)
| QuaternionRotationParameter (const Matrix3D &r, const QuaternionRotationParameter &previous)
Matrix3D | operator() (void) const
Public Member Functions inherited from Util::RotationParameter< QuaternionRotationParameter, Quaternion >
QuaternionRotationParameter | operator* (double scale) const
QuaternionRotationParameter | operator+ (const QuaternionRotationParameter &p) const

## Additional Inherited Members
Public Attributes inherited from Util::RotationParameter< QuaternionRotationParameter, Quaternion >
Quaternion | parameter

## Detailed Description

This class represents a parametrization of 3x3 rotation matrices by skew-symmetric matrices

## Constructor & Destructor Documentation

## ◆ QuaternionRotationParameter() [1/3]

Util::QuaternionRotationParameter::QuaternionRotationParameter | ( | void |  | ) |

The default constructor

## ◆ QuaternionRotationParameter() [2/3]

Util::QuaternionRotationParameter::QuaternionRotationParameter | ( | const Matrix3D & | r | ) |

The constructor sets the parameters from a rotation matrix

## ◆ QuaternionRotationParameter() [3/3]

Util::QuaternionRotationParameter::QuaternionRotationParameter | ( | const Matrix3D & | r,
|  | const QuaternionRotationParameter & | previous )

The constructor sets the parameters from a rotation matrix and the previous parameter

## Member Function Documentation

## ◆ operator()()

Matrix3D Util::QuaternionRotationParameter::operator() | ( | void |  | ) | const
| virtual

This method transforms the parameter into a rotation

Implements Util::RotationParameter< QuaternionRotationParameter, Quaternion >.

The documentation for this class was generated from the following files:

- Assignments/Util/geometry.h
- Assignments/Util/geometry.cpp
- Assignments/Util/geometry.todo.cpp